﻿
using System;
using System.Diagnostics;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.IO;


class CeremonyLayoutSettings
{   
    //replace api_key placeholder with your own value
    private static String apiUrl = "https://sandbox.e-signlive.com/api";
    private static String apiKey = "api_key";
	
	public static void Main(string[] args) {
		
		EslClient client = new EslClient(apiKey, apiUrl);
		
		FileStream fs = File.OpenRead("DOC_FILE_PATH");
		
		DocumentPackage myPackage = PackageBuilder.NewPackageNamed("Customizing Signing Ceremony")
				.WithSigner(SignerBuilder.NewSignerWithEmail("esl.signer1@gmail.com")
						.WithFirstName("John")
						.WithLastName("Smith")
						.WithCustomId("contractor")
						.SigningOrder(1))
				.WithSigner(SignerBuilder.NewSignerWithEmail("esl.signer2@gmail.com")
						.WithFirstName("Mary")
						.WithLastName("Doe")
						.WithCustomId("client")
						.SigningOrder(2))
				.WithDocument(DocumentBuilder.NewDocumentNamed("Cleaning Contract")
						.FromStream(fs, DocumentType.PDF)
						.EnableExtraction())
				.WithSettings(DocumentPackageSettingsBuilder.NewDocumentPackageSettings()
						.WithInPerson()
						.WithoutOptOut()
						//.WithOptOutReason("Decline terms.")
						.WithoutLanguageDropDown()
						.HideOwnerInPersonDropDown()
						.WithoutOptOutOther()
						.DisableFirstAffidavit()
						.DisableSecondAffidavit()
						.WithoutDecline()
						.WithoutWatermark()
						.WithCaptureText()
						.WithHandOverLinkHref("http://www.google.com")
						.WithHandOverLinkText("Exit to site")
						.WithHandOverLinkTooltip("asad")
						.WithoutDocumentToolbarDownloadButton()
						//.WithDialogOnComplete()
						.WithCeremonyLayoutSettings(CeremonyLayoutSettingsBuilder.NewCeremonyLayoutSettings()
								.WithNavigator()
								.WithoutGlobalNavigation()
								.WithoutBreadCrumbs()
								.WithSessionBar()
								.WithTitle()
								.WithProgressBar()
								.WithGlobalDownloadButton()
								.WithoutGlobalSaveAsLayoutButton()
								.WithLogoImageSource("http://www.logo-maker.net/images/common/company-logo8.gif")))
				.Build();
		
		PackageId packageId = client.CreateAndSendPackage(myPackage);
    }
}